Bug 1655266 - Enterprise Security Client(ESC) Cannot start on RHEL8
Summary: Enterprise Security Client(ESC) Cannot start on RHEL8
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: esc
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: 8.0
Assignee: RHCS Maintainers
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 06:13 UTC by amitkuma
Modified: 2019-06-27 21:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 21:54:42 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description amitkuma 2018-12-02 06:13:27 UTC
Description of problem:
Bare metal box. Plugged in smart card.
Smart card Reader: gemalto omnikey 3121
Smart card:Gemalto IDClassic 230

# esc
# gjs: CoolKey.cpp:632: HRESULT CoolKeyGetLifeCycleDirectly(CKYByte*, const char*): Assertion `cardCtxt' failed.

Version-Release number of selected component (if applicable):
esc-1.1.0-40.el7.x86_64.rpm
opensc-0.16.0-10.20170227git777e2a3.el7.x86_64.rpm
pcsc-lite-ccid-1.4.10-14.el7.x86_64.rpm

How reproducible:
Altimes

Steps to Reproduce:
1. Insert smart card, Start esc starts but stop immediately.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jack Magne 2018-12-03 19:24:37 UTC
The symptoms of this looked exactly like a bug reported by asha that was already fixed, will take a look.

Comment 2 eephillip 2019-02-11 22:53:30 UTC
Found this looking for fedora 29 issue. 

Upon inserting a card, or upon opening esc with a card inserted. 
gjs: CoolKey.cpp:632: HRESULT CoolKeyGetLifeCycleDirectly(CKYByte*, const char*): Assertion `cardCtxt' failed.

esc.x86_64                                        1.1.2-2.fc29

Comment 3 Jack Magne 2019-06-27 21:54:42 UTC
Closing this, since we've already passed basic gating tests on this app, and this bug no longer happens. It can be re-opened if need be.


Note You need to log in before you can comment on or make changes to this bug.